<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('diet_dinners', function (Blueprint $table) {
            $table->id();
            $table->uuid('uuid');
            $table->foreignId('diet_id')->unsigned()->references('id')->on('diets');
            $table->string('dinner_name')->nullable();
            $table->tinyInteger('status')->default('1')->comment('0:Inactive,1:Active,3:deleted')->nullable();
            $table->tinyInteger('is_optional')->default('0')->comment('0:no,1:yes');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('diet_dinners');
    }
};
