
@extends('admin.layouts.app')

@push('style')

@endpush
@section('content')

<div class="content-wrapper">
<div>
    <h2 class="text-2xl text-slate-800 font-bold mb-6">{{$pageTitle}}</h2>
    <div class="px-8 sm:px-6 lg:px-8 py-8 w-full max-w-9xl mx-auto">
        <div>
            <h2 class="text-2xl text-slate-800 font-bold mb-6">Permissions</h2>
            <form method="post">
                @csrf
                <div class="col-md-12 mb-3">
                    <div class="card">
                        <!-- Start -->
                        <label class="flex items-center">
                            <input type="checkbox" class="form-checkbox" name="permission[]" value="view-dashboard" @if($roleData->hasPermission('view-dashboard')) checked @endif />
                            <span class="text-sm ml-2">View Dashboard Page</span>
                        </label>
                        <p class="font-weight-light text-small">N.B: If This is Not checked user will be redirected to Accounts Page</p>
                        <!-- End -->
                    </div>
                </div>

                <div class="flex flex-wrap-items-center -m-3">

                    @forelse ($permissions as $chunk )
                        <div class="card col-md-3 mr-2 mb-2">
                            @forelse ($chunk as $permission )
                                <div class="p-2">
                                    <!-- Start -->
                                    <label class="flex items-center">
                                        <input type="checkbox" class="form-checkbox" name="permission[]" value="{{ $permission->slug }}" @if($roleData->hasPermission($permission->slug)) checked @endif />
                                        <span class="text-sm ml-2">{{ $permission->name }}</span>
                                    </label>
                                    <!-- End -->
                                </div>
                            @empty

                            @endforelse
                        </div>
                    @empty

                    @endforelse
                </div>
                <div class="text-center mt-3">
                    <div class="col-md-12">
                        <button type="submit" class="btn btn-primary btn-md">Submit</button>
                    </div>
                </div>

            </form>

        </div>
    </div>
</div>
</div>
@endsection
@push('scripts')

@endpush


